Bug 521054 - rhel3.9 guest with smp kernel lost ip address and mouse during transferring file through network.
Summary: rhel3.9 guest with smp kernel lost ip address and mouse during transferring f...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 11:36 UTC by Miya Chen
Modified: 2014-10-28 03:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-29 22:26:56 UTC


Attachments (Terms of Use)
dmesg log (13.00 KB, application/octet-stream)
2009-09-03 11:36 UTC, Miya Chen
no flags Details

Description Miya Chen 2009-09-03 11:36:40 UTC
Created attachment 359666 [details]
dmesg log

Description of problem:
rhel3.9 guest with smp.athlon kernel lost ipaddress and mouse during transferring file through network.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Hypervisor release 5.4-2.0.99 (17)
kvm-83-105.el5
kernel-smp-2.4.21-60.EL.athlon


How reproducible:
Always

Steps to Reproduce:
1.start guest by:
 /usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=virtio.amd.athlon.qcow2,if=ide -net nic,macaddr=20:20:20:11:12:40,model=e1000,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -cpu qemu64,+sse2 -smp 2 -m 2G -vnc :9 -name athlon_smp_test
2.In guest:
scp filename root@ipaddress

Actual results:
during file transferring, network is down and mouse cannot be used, but keyboard can be used. 

service network restart:
Bringing up interface eth0:
Determining IP information for eth0...PING 10.66.70.254 (10.66.70.254) 56(84) bytes of data.

--- 10.66.70.254 ping statistics ---
3 packets transmitted, 0 received, +3 errors, 100% packet loss, time 1999ms
, pipe 4
PING 10.0.2.2 (10.0.2.2) 56(84) bytes of data.

--- 10.0.2.2 ping statistics ---
3 packets transmitted, 0 received, +3 errors, 100% packet loss, time 2019ms
, pipe 4 failed.

From dmesg:
ip_tables: (C) 2000-2002 Netfilter core team
ip_tables: (C) 2000-2002 Netfilter core team
e1000: eth0: e1000_watchdog_task: NIC Link is Up 1000 Mbps Full Duplex
e1000: eth0: e1000_watchdog_task: NIC Link is Up 1000 Mbps Full Duplex


Expected results:


Additional info:
rtl8139 and virtio nic have the same problem.

Comment 1 Qunfang Zhang 2009-09-21 09:35:47 UTC
Retest on Intel host and rhel3.9 guest with smp i686 kernel, this issue also exists. So change the title after confirmed with bug reporter.
Steps: As comment#0

Comment 2 Dor Laor 2009-10-29 22:21:00 UTC
Can you reproduce? Are you sure it's not a setup issue?

Comment 3 RHEL Product and Program Management 2009-10-29 22:26:56 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.